#!/usr/bin/env python
# -*- coding: utf-8 -*-
# ------------------------------------------------------------------------------
# glydget - an OpenGL widget toolkit
# Copyright (c) 2009 - Nicolas P. Rougier
#
# This file is part of glydget.
#
# glydget is free software: you can  redistribute it and/or modify it under the
# terms of  the GNU General  Public License as  published by the  Free Software
# Foundation, either  version 3 of the  License, or (at your  option) any later
# version.
#
# glydget is  distributed in the hope that  it will be useful,  but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy  of the GNU General Public License along with
# glydget. If not, see <http://www.gnu.org/licenses/>.
# -----------------------------------------------------------------------------
''' Test scalar entry. '''


if __name__ == '__main__':
    import pyglet
    pyglet.options['debug_gl'] = False
    import pyglet.gl as gl
    import glydget

    window = pyglet.window.Window(512,512,vsync=0)
    fps_display = pyglet.clock.ClockDisplay()
    pyglet.clock.schedule(lambda dt: None)
    gl.glEnable(gl.GL_BLEND)
    gl.glBlendFunc(gl.GL_SRC_ALPHA, gl.GL_ONE_MINUS_SRC_ALPHA)

    value = True
    def get_value():
        global value
        return value
    def set_value(v):
        global value
        value = v

    entry = glydget.BoolEntry(value, setter=set_value, getter=get_value)
    entry.resize(256,-1)
    window.push_handlers(entry)

#    entry.style = glydget.theme.debug
    entry.value = 0.5
    entry.show()
    entry.move(window.width//2-entry.width//2,
               window.height//2+entry.height//2)

    @window.event
    def on_draw():
        gl.glClearColor(1,1,1,1)
        window.clear()
        entry.batch.draw()
        fps_display.draw()
    pyglet.app.run()

    print value
